<?php

/**
*
* @package BB3CompactQuote
* @copyright (c) 2019 PPK
* @license http://opensource.org/licenses/gpl-2.0.php GNU General Public License v2
*
*
*/

namespace ppk\bb3compactquote\event;

/**
 * @ignore
 */
if (!defined('IN_PHPBB'))
{
	exit;
}

use Symfony\Component\EventDispatcher\EventSubscriberInterface;

class listener implements EventSubscriberInterface
{

	/** @var \phpbb\config\config */
	protected $config;

	/** @var \phpbb\user */
	protected $user;

	/** @var \phpbb\template\template */
	protected $template;

	/** @var \phpbb\request\request_interface */
	protected $request;

	/** @var string phpEx */
	protected $php_ext;

	/** @var string phpBB root path */
	protected $root_path;

	protected $posts_count;
	protected $register_link;
	protected $login_link;

	public function __construct(\phpbb\config\config $config, \phpbb\user $user, \phpbb\template\template $template, \phpbb\request\request_interface $request, $php_ext, $root_path)
	{
		$this->config = $config;
		$this->user = $user;
		$this->template = $template;
		$this->request = $request;
		$this->php_ext = $php_ext;
		$this->root_path = $root_path;

	}

	static public function getSubscribedEvents()
	{
		return array(
			'core.user_setup'							=> 'bb3compactquote_add_lang',

		);
	}

	public function bb3compactquote_add_lang($event)
	{

		$lang_set_ext=$event['lang_set_ext'];

		$lang_set_ext[]=array(
			'ext_name' => 'ppk/bb3compactquote',
			'lang_set' => 'bb3compactquote',
		);

		$event['lang_set_ext']=$lang_set_ext;

	}



}
